Index: LinuxBIOSv2-2571/src/config/linuxbios_ram.ld
===================================================================
--- LinuxBIOSv2-2571.orig/src/config/linuxbios_ram.ld
+++ LinuxBIOSv2-2571/src/config/linuxbios_ram.ld
@@ -62,6 +62,10 @@ SECTIONS
 		 . = ALIGN(4);
 
 		_erodata = .;
+	}
+	/* ld segfaults if we give it --build-id and then discard this section */
+	.note.gnu.build-id : {
+		*(.note.gnu.build-id)
 	}	
 	/*
 	 * After the code we place initialized data (typically initialized
Index: LinuxBIOSv2-2571/src/arch/i386/lib/id.lds
===================================================================
--- LinuxBIOSv2-2571.orig/src/arch/i386/lib/id.lds
+++ LinuxBIOSv2-2571/src/arch/i386/lib/id.lds
@@ -1,5 +1,10 @@
 SECTIONS {
-	. = (_ROMBASE + ROM_IMAGE_SIZE - 0x10) - (__id_end - __id_start);
+	/*
+	 * . = (_ROMBASE + ROM_IMAGE_SIZE - 0x10) - (__id_end - __id_start);
+	 * This is a temporary fix. Under Fedora 8 ld does not like it if the .id section is above address 0xFFFF_EF00
+	 */
+	_ROMTEMP = 0xffffef00;
+	. = _ROMTEMP;
 	.id (.): {
 		*(.id)
 	}
Index: LinuxBIOSv2-2571/src/arch/i386/init/ldscript.lb
===================================================================
--- LinuxBIOSv2-2571.orig/src/arch/i386/init/ldscript.lb
+++ LinuxBIOSv2-2571/src/arch/i386/init/ldscript.lb
@@ -53,6 +53,10 @@ SECTIONS
 		_erom = .;
 	}
 
+	.note.gnu.build-id : {
+		*(.note.gnu.build-id)
+	}
+
 	_lrom = LOADADDR(.rom);
 	_elrom = LOADADDR(.rom) + SIZEOF(.rom);
 	_iseg = _RAMBASE;
@@ -63,5 +67,6 @@ SECTIONS
 	/DISCARD/ : {
 		*(.comment)
 		*(.note)
+		*(.note.*)
 	}
 }
